# _MagickWand Struct Reference

`#include <magick-wand-private.h>`

## Data Fields

unsigned long | id
char | name [MaxTextExtent]
ExceptionInfo * | exception
ImageInfo * | image_info
QuantizeInfo * | quantize_info
Image * | images
MagickBooleanType | active
MagickBooleanType | pend
MagickBooleanType | debug
unsigned long | signature

## Field Documentation

unsigned long _MagickWand::id

char _MagickWand::name[MaxTextExtent]

ExceptionInfo* _MagickWand::exception

ImageInfo* _MagickWand::image_info

QuantizeInfo* _MagickWand::quantize_info

Image* _MagickWand::images

MagickBooleanType _MagickWand::active

MagickBooleanType _MagickWand::pend

MagickBooleanType _MagickWand::debug

unsigned long _MagickWand::signature

The documentation for this struct was generated from the following file:

- magick-wand-private.h